package com.inca.npbusi.sales.quchkprint;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.DataCommand;
import com.inca.np.communicate.ServerResponse;
import com.inca.np.communicate.StringCommand;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.DBColumnDisplayInfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.util.SendHelper;
import com.inca.npx.ste.CSteModelAp;
import java.util.Vector;

public class Print_quality_ste extends CSteModelAp {
   public Print_quality_ste(CFrame var1) {
      super(var1, "打印质检单");
   }

   public String getTablename() {
      return "bms_sa_quality_v";
   }

   public String getSaveCommandString() {
      return "com.inca.npbusi.sales.quchkprint.Print_quality_ste.打印质检单";
   }

   public void on_doubleclick(int var1, int var2) {
   }

   protected int on_actionPerformed(String var1) {
      if (var1.equals("print_action")) {
         this.doPrintAction();
         return 0;
      } else {
         if (var1.equals("全选") || var1.equals("全不选") || var1.equals("选进口药") || var1.equals("选非进口药")) {
            String var3 = var1;
            Print_quality_ste var2 = this;

            for(int var4 = 0; var4 < var2.getRowCount(); ++var4) {
               if (var3.equals("全选")) {
                  var2.table.addRowSelectionInterval(var4, var4);
               } else {
                  if (!var3.equals("全不选")) {
                     if (var3.equals("选进口药")) {
                        if (var2.getItemValue(var4, "importflag").equals("1")) {
                           var2.table.addRowSelectionInterval(var4, var4);
                        } else {
                           var2.table.removeRowSelectionInterval(var4, var4);
                        }
                        continue;
                     }

                     if (!var3.equals("选非进口药")) {
                        continue;
                     }

                     if (var2.getItemValue(var4, "importflag").equals("0")) {
                        var2.table.addRowSelectionInterval(var4, var4);
                        continue;
                     }
                  }

                  var2.table.removeRowSelectionInterval(var4, var4);
               }
            }
         }

         return super.on_actionPerformed(var1);
      }
   }

   public void doPrintAction() {
      int[] var1;
      int var2;
      if ((var2 = (var1 = this.table.getSelectedRows()).length) <= 0) {
         this.warnMessage("警告", "请选择单据进行质检单打印!");
      } else {
         if (var1[var1.length - 1] == this.table.getRowCount()) {
            --var2;
         }

         DataCommand var3 = new DataCommand();
         Vector var4 = new Vector();
         DBColumnDisplayInfo var5 = new DBColumnDisplayInfo("salesdtlid", "number");
         var4.add(var5);
         DBTableModel var14 = new DBTableModel(var4);

         String var19;
         for(int var15 = 0; var15 < var2; ++var15) {
            String var6;
            if ((var6 = this.dbmodel.getItemValue(var1[var15], "filegroupid")) != null && !var6.equals("")) {
               var19 = this.dbmodel.getItemValue(var1[var15], "goodsid");
               String var8 = this.dbmodel.getItemValue(var1[var15], "goodsname");
               String var9 = this.dbmodel.getItemValue(var1[var15], "salesdtlid");
               String var10 = this.dbmodel.getItemValue(var1[var15], "lotid");
               String var11 = this.dbmodel.getItemValue(var1[var15], "lotno");
               var19 = "客户名称：" + this.getItemValue(var1[var15], "customname") + "（" + this.getItemValue(var1[var15], "customid") + "),\r\n 货品名称:" + var8 + "(" + var19 + "),\r\n 规格：" + this.getItemValue(var1[var15], "goodstype") + ", 产地：" + this.getItemValue(var1[var15], "prodarea") + ",\r\n 批号:" + var11 + "(" + var10 + "), 销售细单ID:" + var9;
               RetrievefileDemo var20 = new RetrievefileDemo();

               try {
                  if (var20.downloadFile(var6, var19)) {
                     int var17 = var14.getRowCount();
                     var14.appendRow();
                     var14.setItemValue(var17, "salesdtlid", var9);
                  }
               } catch (Exception var13) {
                  var13.printStackTrace();
               }
            } else {
               int var7 = var15 + 1;
               this.warnMessage("警告", "第" + var7 + "行发货单还没有上传图片！无法打印！");
            }
         }

         if (var14.getRowCount() != 0) {
            ClientRequest var16;
            (var16 = new ClientRequest()).addCommand(new StringCommand("com.inca.npbusi.sales.quchkprint.Print_quality_ste.打印质检单.updateflag"));
            var3.setDbmodel(var14);
            var16.addCommand(var3);
            ServerResponse var18 = null;

            try {
               var18 = SendHelper.sendRequest(var16);
            } catch (Exception var12) {
               var12.printStackTrace();
            }

            if ((var19 = ((StringCommand)var18.commandAt(0)).getString()).equals("+OK")) {
               this.infoMessage("提示", "打印完成！");
            } else {
               this.errorMessage("错误", "更改打印标记失败：" + var19);
            }

            this.doRequery();
         }
      }
   }

   protected String getOtherWheres() {
      String var1 = ClientUserManager.getCurrentUser().getEntryid();
      return " entryid=" + var1;
   }
}
